Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: kan geen software meer installeren  (gelezen 1650 keer)

Offline fred101

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Gepost op: 2008/05/09, 07:52:08 »
Ik kan geen enkele update of software meer installeren, herinstalleren of verwijderen Niet meer met adept, synaptic of apt-get. Hij komt dan bij alles met de volgende foutmelding. Ik werk met Kubuntu HH. Heb nog meer problemen maar daar heb ik maar aparte topics voor gestart.

fred@PA4TIM-laptop:~$ sudo apt-get upgrade
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
Statusinformatie wordt gelezen... Klaar
De volgende pakketten zullen opgewaardeerd worden:
  foomatic-filters libspeex1 vorbis-tools
3 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
Er moeten 0B/310kB aan archieven opgehaald worden.
Na deze handeling, zal er 4096B schijfruimte vrijkomen.
Wilt u doorgaan [J/n]? j
Voorconfigureren van pakketten...
(Database inlezen ... dpkg: fout bij afhandelen van /var/cache/apt/archives/foomatic-filters_3.0.2-20071204-0ubuntu2.1_all.deb (--unpack):
 bestandenlijst-bestand voor pakket `tzdata-java' bevat een lege bestandsnaam
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/foomatic-filters_3.0.2-20071204-0ubuntu2.1_all.deb
Afhandeling werd afgebroken omdat er te veel fouten waren.
E: Sub-process /usr/bin/dpkg returned an error code (1)
fred@PA4TIM-laptop:~$

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #1 Gepost op: 2008/05/09, 08:27:10 »
Ik zie "sudo apt-get upgrade".....
Dat is toch wel wat anders dan software installeren.

Wat is de reden dat je dit commando geeft?

Offline fred101

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #2 Gepost op: 2008/05/09, 10:41:47 »
Dat had ik geprobeerd om de upgrades toch te kunnen doen en vooral omdat ik dan die zelfde foutmelding krijg en ik met copy/paste hem dan hier kan plaatsen. Het gaat om de foutmelding "bestandenlijst-bestand voor pakket `tzdata-java' bevat een lege bestandsnaam"

Deze verschijnt bij iedere installatie/upgrade actie van elk willekeurig pakket ook onder synaptic en adept , met als resultaat dat er nu al 2 dagen zo'n verkeersbordje in mijn statusbalk staat dat er upgrades zijn die ik niet kan binnenhalen en ik ook geen andere software kan installeren.

Fred

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #3 Gepost op: 2008/05/09, 11:24:12 »
Probeer misschien eerst in Synaptic beide pakketten (tzdat en tzdata-java) te markeren voor volledige verwijdering, dan toepassen. Vervolgens markeer je ze opnieuw voor installatie.
Je zou ook gewoon kunnen herinstalleren, maar ik heb de indruk dat het op deze manier "grondiger" gebeurt.
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline fred101

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #4 Gepost op: 2008/05/09, 12:26:56 »
Dat heb ik gisteren geprobeerd maar lukte niet, zelfde fout. Nu starte ik net synaptic op om wat tips uit andere topics te proberen en toen liep synaptics vast voor ik iets kon doen. Alleen met sudo kill ging synaptics uit. Daarna stond het hele systeem in read onley mode ??, na een herstart kwam er een foutmelding en moest ik een filecheck met de hand doen waarbij er een enorme waslijst van dingen kwam met allocaties en diskfouten en nummerwijzingen enz. Daarna reboot en nu is het weer in de lucht. Ik durf echter geen synaptic meer op te starten. Er zijn vast wat controles mogelijk . Ik ben nu bijna 3 dagen met de install bezig (files overzetten, mail enz) en wil dat niet weer opnieuw doen.

Fred

Offline PeterF

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #5 Gepost op: 2008/05/09, 12:51:24 »
Met de opracht "apt-get clean" kun je de cache leegmaken, het lijkt erop dat een van de bestanden in de lokale cache corrupt is.

Offline Gandyman

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #6 Gepost op: 2008/05/09, 12:52:17 »
hmz 2 mogelijke oplossingen......

1e
In terminal :
apt-get -f installHij gaat nu pakketten die in de wacht staan in /var/cache/apt/archives/ installeren en waarschijnlijk zal dit alleen het pakket "foomatic-filters_3.0.2-20071204-0ubuntu2.1_all.deb" zijn.

2e
Nadat dit gedaan is moeten we iets doen aan die foute "tzdata-java"
Dit staat geregistreerd in de lijst dus hij zal hierop blijven terug komen,
wat te doen is rigoreus maar kan wel helpen.

Open
gksu nautilusGa naar /var/cache/apt/archives
En gooi hier het bestand "tzdata-java" weg

Ga nu naar /var/lib/dpkg/info
en doe hetzelfde als je hem erbij ziet staan.

Sluiten

Stel nu dat wat ik als 1e opgaf niet lukt doe dan eerst de 2e optie en dan pas de 1e optie.

Probeer nu nogmaals
sudo apt-get updatesudo apt-get upgradeStart nu synaptic weer op en kijk wat er allemaal gebeurd, afhankelijk of je wel of geen foutmeldingen meer krijgt zal alles nu weer normaal werken.

Stel dat optie 1 helemaal niet werkt, dus hij wil ook nadat je die java zooi hebt weggegooid niet het pakket "foomatic-filters_3.0.2-20071204-0ubuntu2.1_all.deb" installeren, flikker je dit pakket ook weg.

Het lijkt er namelijk op dat je op voortijdig hebt afgebroken of je internet verbinding is weggevallen.

Wat je ook nog kan proberen is:

sudo dpkg --configure -aen dan weer de hele riedel aflopen.
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

Offline fred101

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #7 Gepost op: 2008/05/09, 14:06:10 »
Ik heb je dingen gedaan, synaptics doet het nu weer maar nu is de foutmelding veranderd. Hij komt nu met een nieuwe fout, dat tzdata kan hij niet meer vinden (heb ik niet weggegooid want het was er niet meer, gister stond die propvol) maar nu mist ie ook een final newline in openjdk-6-jre-lib. In var/cache/apt/archives staat nu alleen nog foomatic..., libspeex... vorbis-tools en ik denk het probleem: een file met de naam lock en eigenschappen geeft "leeg document"

Ik durf dat ook niet zo maar weg te gooien zonder overleg, heb ooit zo iets gedaan en daarbij begon het hele systeem zich te "ontmantelen"

fred@PA4TIM-laptop:/var/cache/apt/archives$ sudo apt-get upgrade
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
Statusinformatie wordt gelezen... Klaar
De volgende pakketten zullen opgewaardeerd worden:
  foomatic-filters libspeex1 vorbis-tools
3 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
Er moeten 0B/310kB aan archieven opgehaald worden.
Na deze handeling, zal er 4096B schijfruimte vrijkomen.
Wilt u doorgaan [J/n]? j
Voorconfigureren van pakketten...
(Database inlezen ...
dpkg: ernstige waarschuwing: bestandenlijst-bestand voor pakket
`tzdata-java' ontbreekt, aangenomen wordt dat het pakket geen bestanden
heeft geïnstalleerd.
dpkg: fout bij afhandelen van /var/cache/apt/archives/foomatic-filters_3.0.2-20071204-0ubuntu2.1_all.deb (--unpack):
 files list file for package `openjdk-6-jre-lib' is missing final newline
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/foomatic-filters_3.0.2-20071204-0ubuntu2.1_all.deb
Afhandeling werd afgebroken omdat er te veel fouten waren.
E: Sub-process /usr/bin/dpkg returned an error code (1)
fred@PA4TIM-laptop:/var/cache/apt/archives$      

Blijft een mooi iets dit forum, tot nu toe was het met jullie hulp nog altijd op te lossen.

Fred

Offline fred101

  • Lid
  • Steunpunt: Nee
kan geen software meer installeren
« Reactie #8 Gepost op: 2008/05/09, 18:27:36 »
Ik heb gevonden dat die lock file er hoort.

Hij zegt steeds dat er een bestandenlijst-bestand voor pakket
`tzdata-java' ontbreekt. In de directory var/lib/dpkg/info zitten idd list files (vraag niet hoe ik dit vond want dat weet ik niet meer) maar daar is geen tzdata-java list. Wel de checksum file die er na een list file staat.. Daar mis ik dus idd een file en ik weet niet hoe ik daar aan kan komen.

De tweede fout is een mising final newline in openjdk-6-jre-lib. De openjdk-6-jre-lib.list is in tegenstelling tot alle andere lists binair volgens een waarschuwing van Kate maar hij is wel gewoon te lezen. Dat is denk ik de tweede fout maar ook geen idee hoe ik dit oplos. Ik denk openen en opnieuw opslaan zodat hij niet binair meer lijkt.

Oja, ik heb al je stappen een paar keer geprobeerd maar hij blijft het zelfde roepen. Zelfs verwijderen met aptitude -f remove doet het niet. Ben bang dat ik naar gutsy terug moet. Kan je ook herinstalleren zondrer dat je al je data en instellingen kwijt bent ?

Fred

Edit:

Het is nu wel gelukt, ik kan weer updaten enz. De truc zit hem in de dpkg listen. Die ben ik in dolphin als root gaan weggooien en na een stuk of 15 java relateerde deed de boel het weer. nu is als het goed is sunjava geinstalleerd.

Fred